Package org.apache.commons.io.output

# Class FlushShieldOutputStream.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<FlushShieldOutputStream,FlushShieldOutputStream.Builder>
org.apache.commons.io.build.AbstractOriginSupplier<FlushShieldOutputStream,FlushShieldOutputStream.Builder>
org.apache.commons.io.build.AbstractStreamBuilder<FlushShieldOutputStream,FlushShieldOutputStream.Builder>
org.apache.commons.io.output.FlushShieldOutputStream.Builder

All Implemented Interfaces:
  `IOSupplier<FlushShieldOutputStream>`

Enclosing class:
  `FlushShieldOutputStream`

public static class FlushShieldOutputStream.Builder extends AbstractStreamBuilder<FlushShieldOutputStream,FlushShieldOutputStream.Builder>
Builds a new `FlushShieldOutputStream`.

Using File IO:

     FlushShieldOutputStream s = FlushShieldOutputStream.builder()
       .setPath("over/there.out")
       .setBufferSize(8192)
       .get();

Using NIO Path:

     FlushShieldOutputStream s = FlushShieldOutputStream.builder()
       .setPath("over/there.out")
       .setBufferSize(8192)
       .get();

Since:
  2.13.0
See Also:
  - `get()`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Constructs a new builder of `FlushShieldOutputStream`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FlushShieldOutputStream`
  `get()`
  Builds a new `FlushShieldOutputStream`.

  ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

  `getBufferSize, getBufferSizeDefault, getByteArray, getChannel, getCharSequence, getCharset, getCharsetDefault, getFile, getInputStream, getOpenOptions, getOutputStream, getPath, getRandomAccessFile, getReader, getWriter, setBufferSize, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

  ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

  `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newChannelOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newRandomAccessFileOrigin, newRandomAccessFileOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setChannel, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setRandomAccessFile, setRandomAccessFile, setReader, setURI, setWriter`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier, getUnchecked`

- ## Constructor Details

  - ### Builder

    public Builder()
    Constructs a new builder of `FlushShieldOutputStream`.

- ## Method Details

  - ### get

    public FlushShieldOutputStream get() throws IOException
    Builds a new `FlushShieldOutputStream`.
    Returns:
      a new instance.
    Throws:
      `IllegalStateException` - if the `origin` is `null`.
      `UnsupportedOperationException` - if the origin cannot be converted to an `OutputStream`.
      `IOException` - if an I/O error occurs converting to an `OutputStream` using `AbstractStreamBuilder.getOutputStream()`.
    See Also:
      - `AbstractStreamBuilder.getOutputStream()`
      - `AbstractStreamBuilder.getBufferSize()`
      - `IOSupplier.getUnchecked()`